<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">


<?php
function human_file_size($size)
{
   if ( $size == 0 )
	return "";
   else {
	$filesizename = array(" Bytes", " KB", " MB", " GB", " TB", " PB", " EB", " ZB", " YB");
	return round($size/pow(1024, ($i = floor(log($size, 1024)))), 2) . $filesizename[$i];
   }
}
?>

<head>
	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
	<style type="text/css">@import url(/aircraft_design/main/styles.css);</style>
	<link rel="stylesheet" href="/aircraft_design/main/simple.css" />
	<script src="/aircraft_design/main/ehs_xml_java.js"></script>
</head>

<body>
<div id="document">

<div id="head">
	<p id="monogram"><a href="#"><img src="" alt="" /></a></p>
	<h1 class="title"><img src="" alt="University of Cincinnati: Aerospace Department" /></h1>
	<p id="stockTicker"> <script>todayDate()</script> </p>
</div>

<div id="bodyHead" class="headTypeB">
<h2 id="pageTitle">Available Files</h2> <a href="../">Up One Level</a>
</div>

<div id="mainBody" class="content_02">
<table cellpadding="2" cellspacing="2" width="100%">
<colgroup span="1" width="0*">
<colgroup span="1" width="100">
<tr>
<th>File Name</th>
<th>File Size</th>
</tr>
<?php
if (is_dir(".thumb") == FALSE)
	passthru("mkdir .thumb");
$files = array();
$types = array();
$d = dir("./");
while ( false !== ($fname = $d->read()) ) {
	switch ($fname) {
		case ".":
		case "..":
		case "index.php":
		case "":
		case "Thumbs.db":
		case ".thumb":
			break;
		default:

			$fnamea = explode(".",$fname);
			$count = count($fnamea);$count -= 1;
			$ftype = $fnamea[$count];
			$files[] = $fname;
			if ( is_dir($fname) )
				$types[$fname] = "dir";
			else if ( ($ftype == "jpg") || ($ftype == "JPG") )
				$types[$fname] = "jpg";
			else if ( ($ftype == "gif") || ($ftype == "GIF") )
				$types[$fname] = "gif";
			else if ( ($ftype == "png") || ($ftype == "PNG") )
				$types[$fname] = "png";
			else 
				$types[$fname] = "file";
			break;
	}
}

$d->close();
$type_list = array("dir","file","jpg","gif","png");
if (count($files) < 1)
	echo "No Files Currently Available<br>\r";
else {
	$toggle = 0;
	foreach ($type_list as $i){
		foreach ($files as $j) {
			if ( $i == $types[$j] ){
				$tag = '<td bgcolor="#FFFFFF">';
				if ( $toggle ) {
					$tag = '<td bgcolor="#CCCCCC">';
					$toggle = 0;
				} else
					$toggle = 1;
				echo "<tr>";
				echo $tag . "<a href=\"$j\">";
				$tname = ".thumb/" . $j;
				if ( $types[$j] == "jpg" ) {
					if ( is_file($tname) )
						echo "<img src=\"$tname\" alt=\"$j\" />";
					else {
						passthru( "touch $tname" );
						passthru("jpegtopnm $j | pamscale -xyfit 200 150 | pnmtojpeg > $tname");
					}
				} else if ( $types[$j] == "gif" ) {
					if ( is_file($tname) )
						echo "<img src=\"$tname\" alt=\"$j\" />";
					else {
						passthru( "touch $tname" );
						passthru("giftopnm $j | pamscale -xyfit 200 150 | pnmtojpeg > $tname");
					}
				} else if ( $types[$j] == "png" ) {
					if ( is_file($tname) )
						echo "<img src=\"$tname\" alt=\"$j\" />";
					else {
						passthru( "touch $tname" );
						passthru("pngtopnm $j | pamscale -xyfit 200 150 | pnmtojpeg > $tname");
					}
				} else echo $j;
				echo "</a></td>";
				echo $tag;
				if (is_file($j)) 
					echo human_file_size(filesize($j));
				echo "</td>";
				echo "</tr>\r";
			}
		}
	}
}

?>
</table>
</div>



</div>
</body>
</html>
